Subject: Re: [git pull] Please pull from powerpc.git merge branch

From: Benjamin Herrenschmidt <[email-masked]>
Date: Wed, 16 Jul 2008 15:01:35 +1000

On Wed, 2008-07-16 at 00:20 -0400, Dave Jones wrote:
> On Wed, Jul 16, 2008 at 11:34:03AM +1000, Ben Herrenschmidt wrote:
>  > Linus,
>  > 
>  > I apologize in advance for the couple of merge commits in there. I
>  > merged your tree yesterday in order to fix a (fairly minor) conflict,
>  > and waited for our autobuilder to test a whole bunch of configs
>  > overnight before asking you to pull, at which point, sfr informed me of
>  > a bunch of this time non-trivial conflicts with whatever you pulled in
>  > the meantime...
>  > 
>  > So here it is with 2 merge csets at the top, I'll try to do better next
>  > time. I don't want to rebase or my sub-maintainers will hate me.
>  > 
>  > So please pull from:
>  > 
>  > git://git.kernel.org/pub/scm/linux/kernel/git/benh/powerpc.git merge
> 
> Boom!
> 
> arch/powerpc/platforms/built-in.o: In function `ep8248e_mdio_probe':
> /builddir/build/BUILD/kernel-2.6.26/linux-2.6.26.ppc/arch/powerpc/platforms/82xx/ep8248e.c:129: undefined reference to `alloc_mdio_bitbang'
> /builddir/build/BUILD/kernel-2.6.26/linux-2.6.26.ppc/arch/powerpc/platforms/82xx/ep8248e.c:143: undefined reference to `mdiobus_register'
> 
> .config is at http://davej.fedorapeople.org/kernel-2.6.27-ppc.config

Kumar, I think that's your realm, what's up there ?

Cheers,
Ben.